Bug 961856 - [FEAT] Add Glupy, a python bindings meta xlator, to GlusterFS project
[FEAT] Add Glupy, a python bindings meta xlator, to GlusterFS project
Status: CLOSED NEXTRELEASE
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Vijay Bellur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 11:04 EDT by Ram Raja
Modified: 2013-10-16 14:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-16 14:21:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ram Raja 2013-05-10 11:04:58 EDT
Description of problem:
Add Glupy, a python bindings meta xlator, to GlusterFS project. For further information see here: http://www.linuxjournal.com/content/extending-glusterfs-python

Version-Release number of selected component (if applicable):
mainline

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2013-05-10 11:07:24 EDT
REVIEW: http://review.gluster.org/4906 (glupy: Importing Jeff's glupy project into glusterfs) posted (#6) for review on master by Ramana Raja (rraja@redhat.com)
Comment 2 Anand Avati 2013-05-10 11:26:16 EDT
REVIEW: http://review.gluster.org/4906 (glupy: Importing Jeff's glupy project into glusterfs) posted (#7) for review on master by Ramana Raja (rraja@redhat.com)
Comment 3 Anand Avati 2013-05-10 17:15:38 EDT
COMMIT: http://review.gluster.org/4906 committed in master by Anand Avati (avati@redhat.com) 
------
commit 1e62ff42dfcf84ded563f710cb8da92fa0f41936
Author: Ram Raja <rraja@redhat.com>
Date:   Tue Apr 30 00:38:04 2013 +0530

    glupy: Importing Jeff's glupy project into glusterfs
    
    Change-Id: I3891ef6eaf6ede7c8cbedc3298ce2501a69b2b05
    BUG: 961856
    Original-author: Jeff Darcy <jdarcy@redhat.com>
    Signed-off-by: Ram Raja <rraja@redhat.com>
    Reviewed-on: http://review.gluster.org/4906
    Reviewed-by: Justin Clift <jclift@redhat.com>
    Tested-by: Justin Clift <jclift@redhat.com>
Comment 4 Anand Avati 2013-05-13 16:23:51 EDT
COMMIT: http://review.gluster.org/4907 committed in master by Anand Avati (avati@redhat.com) 
------
commit 68712c33b4c792449e7d49ae348f96f97175bbd9
Author: Ram Raja <rraja@redhat.com>
Date:   Tue Apr 30 00:47:56 2013 +0530

    glupy patch by Ram, Justin: Add/Modify fops, structure types, utility fns
    
    Extend the following fops with Python:
      * open
      * readv
      * writev
      * opendir
      * readdir
      * readdirp
      * stat
      * fstat
      * statfs
      * setxattr
      * getxattr
      * fsetxattr
      * fgetxattr
      * removexattr
      * fremovexattr
      * link
      * unlink
      * readlink
      * symlink
      * mkdir
      * rmdir
    
    Add fd_t, inode_t and iatt_t structure types.
    
    Modify loc_t structure type; Alter the data types of the following
    attributes - inode, parent, gfid, pargfid.
    
    Modify uuid2str function, which returns a string equivalent for a ctype
    object representing a gfid, to make use of python's 'uuid' module for
    accurate representation of uuids.
    
    by Justin Clift:
               Adjust debug-trace.py to work with Python 2.6
    
               Work around 'zero length field name in format' bug in
               negative.py's uuid2str function
    
               Fix indentation errors in negative.py, glupy.h,
               glupy.c, gluster.py
    
    Change-Id: If0fcfb2866e21c0380a973f8ffab9ea7b6a4cd5d
    BUG: 961856
    Signed-off-by: Ram Raja <rraja@redhat.com>
    Reviewed-on: http://review.gluster.org/4907
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-by: Justin Clift <jclift@redhat.com>
    Tested-by: Justin Clift <jclift@redhat.com>
Comment 5 Anand Avati 2013-05-14 16:11:27 EDT
REVIEW: http://review.gluster.org/5007 (configure.ac: build glupy with python2.7) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 6 Anand Avati 2013-05-14 18:29:16 EDT
REVIEW: http://review.gluster.org/5007 (configure.ac: build glupy with installed python) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 7 Anand Avati 2013-05-15 08:42:38 EDT
REVIEW: http://review.gluster.org/5007 (configure.ac: build glupy with installed python) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 8 Anand Avati 2013-05-15 10:46:22 EDT
REVIEW: http://review.gluster.org/5007 (configure.ac: build glupy with installed python) posted (#5) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 9 Anand Avati 2013-05-15 11:42:57 EDT
REVIEW: http://review.gluster.org/5013 (configure.ac: allow glupy to build using python 2.7) posted (#1) for review on master by Ramana Raja (rraja@redhat.com)
Comment 10 Anand Avati 2013-05-15 14:27:59 EDT
REVIEW: http://review.gluster.org/5013 (configure.ac: allow glupy to build using python 2.7) posted (#2) for review on master by Ramana Raja (rraja@redhat.com)
Comment 11 Anand Avati 2013-05-15 14:30:56 EDT
REVIEW: http://review.gluster.org/5007 (configure.ac: build glupy with installed python) posted (#6) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 12 Anand Avati 2013-05-15 21:54:39 EDT
REVIEW: http://review.gluster.org/5007 (configure.ac: build glupy with installed python) posted (#7) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 13 Anand Avati 2013-05-16 10:09:52 EDT
REVIEW: http://review.gluster.org/5007 (configure.ac: build glupy with installed python) posted (#8) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 14 Anand Avati 2013-05-16 14:02:04 EDT
REVIEW: http://review.gluster.org/5007 (configure.ac: build glupy with installed python) posted (#9) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 15 Anand Avati 2013-05-17 07:21:39 EDT
REVIEW: http://review.gluster.org/5007 (configure.ac: build glupy with installed python) posted (#10) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 16 Anand Avati 2013-05-17 07:27:04 EDT
REVIEW: http://review.gluster.org/5007 (configure.ac: build glupy with installed python) posted (#11) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 17 Anand Avati 2013-05-19 09:13:31 EDT
COMMIT: http://review.gluster.org/5007 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 10fbae681e072dd6359bf7a8c56e93c541c83b0b
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Tue May 14 16:07:03 2013 -0400

    configure.ac: build glupy with installed python
    
    IOW with more than just python2.6. Python2.7 is certainly what's on
    the vast majority of non-RHEL systems that are out there. Also our
    rpm.t regression test will build on epel-5 under mock; RHEL5 has
    Python2.4.
    
    Change-Id: I09c95c1fb6b3498e910ad239c4f0af7f786c3700
    BUG: 961856
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/5007
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 18 Anand Avati 2013-05-26 14:11:21 EDT
REVIEW: http://review.gluster.org/5093 (configure.ac: add build option for glupy) posted (#1) for review on master by Ramana Raja (rraja@redhat.com)
Comment 19 Anand Avati 2013-05-29 01:38:13 EDT
COMMIT: http://review.gluster.org/5093 committed in master by Anand Avati (avati@redhat.com) 
------
commit b0540090648a7670ef52e6733d127656f5aca5ed
Author: Ram Raja <rraja@redhat.com>
Date:   Sun May 26 21:55:23 2013 +0530

    configure.ac: add build option for glupy
    
    Check whether Python.h, glupy dependency, is installed in the system.
     ('Python.h' part of python-devel or python-dev package.)
    
    Allow following build options:
     --enable-glupy   build glupy; If dependencies are not met, abort
                      configure script run with error.
    
     --disable-glupy  don't build glupy even if dependencies are met.
    
     default          build glupy; If dependencies are not met, don't build
                      glupy and allow configure script run with warning.
    
    glupy-specific dependencies:
     python2.x, python-devel/python-dev package
    
    Change-Id: Ia495dd00cac7d12ad76645c8576a0adc0cb5d590
    BUG: 961856
    Signed-off-by: Ram Raja <rraja@redhat.com>
    Reviewed-on: http://review.gluster.org/5093
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.